# https://build.opensuse.org/package/view_file/GNOME:Next/gnome-podcasts/gnome-podcasts.spec?expand=1
# spec file for package gnome-podcasts
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2019 Bjørn Lie, Bryne, Norway.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define commit 97bdc32cce92f759c59d31b0509381a1dbc33d3b

Name:           gnome-podcasts
Version:        0.4.7
Release:        0
Summary:        Podcast app for GNOME
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Sound/Players
URL:            https://gitlab.gnome.org/World/podcasts
Source0:        https://gitlab.gnome.org/World/podcasts/-/archive/master/podcasts-master.tar.gz

BuildRequires:  rust cargo
BuildRequires:  meson
BuildRequires:  pkgconf-pkg-config
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.56
BuildRequires:  pkgconfig(glib-2.0) >= 2.56
BuildRequires:  gstreamer1-plugins-bad-free gstreamer1-plugins-bad-free-devel gstreamer1-devel
BuildRequires:  gstreamer1-plugins-bad-free gstreamer1-plugins-bad-free-devel gstreamer1-plugins-bad-free-extras
BuildRequires:  gstreamer1-plugins-base gstreamer1-plugins-base-devel
BuildRequires:  gstreamer1-plugins-good gstreamer1-plugins-good-extras
BuildRequires:  gstreamer1-plugins-ugly-free gstreamer1-plugins-ugly-free-devel
BuildRequires:  gstreamer1-vaapi gstreamer1
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(libhandy-0.0) >= 0.0.4
BuildRequires:  pkgconfig(openssl) >= 1.0
BuildRequires:  pkgconfig(sqlite3) >= 3.20
BuildRequires:  libappstream-glib

%description
A Podcast application for GNOME.
Listen to your favorite podcasts, right from your desktop.

%prep
%autosetup -p1 -n podcasts-master

%build
%meson \
	-Dprofile=default \
	%{nil}
%meson_build

%install
%meson_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.gnome.Podcasts.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Podcasts.desktop

# https://gitlab.gnome.org/World/podcasts/issues/130

cat <<EOF > %{buildroot}%{_datadir}/applications/org.gnome.Podcasts.desktop
[Desktop Entry]
Name=Podcasts
Comment=Find and listen to internet radio stations
Exec=gnome-podcasts
Icon[gl]=org.gnome.Podcasts
Icon=org.gnome.Podcasts
Terminal=false
Type=Application
Categories=AudioVideo;Audio;Player;GNOME;
Keywords=podcast;internet;radio;music;
StartupNotify=true
EOF



%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Podcasts.desktop
%{_datadir}/dbus-1/services/org.gnome.Podcasts.service
%{_datadir}/glib-2.0/schemas/org.gnome.Podcasts.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Podcasts*.svg
%{_datadir}/metainfo/org.gnome.Podcasts.appdata.xml
%{_datadir}/locale/

%changelog
